Jupiter ERP
Account API

List fixed assets with depreciation schedules

/api/account/depreciations

GETHTTP
get/api/account/depreciations

Example request

GET https://api.jupiter-erp.com/api/account/depreciations

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/depreciations' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Responses

200OK
FieldTypeDescription
items*object[]

array

Elements

FieldTypeDescription
acquisition_amount_cents*integer
asset_ledger_account_namestring
asset_ledger_account_numberstring
book_value_cents*integer
contact_namestring
depreciation_method*string

string

  • linear
  • gwg
depreciation_useful_life_yearsinteger
descriptionstring
issuer_referencestring
receipt_date*string (date)
receipt_id*integer
receipt_position_id*integer
receipt_referencestring
Example response
{
  "items": [
    {
      "receipt_position_id": 0,
      "receipt_id": 0,
      "receipt_reference": "string",
      "issuer_reference": "string",
      "contact_name": "string",
      "receipt_date": "2026-01-15",
      "acquisition_amount_cents": 0,
      "book_value_cents": 0,
      "depreciation_method": "linear"
    }
  ]
}
Depreciations

Questions about integration?

GET /api/account/depreciations · Jupiter ERP